-- ud_181_20180411.sql
-- 5FA050CC5E2453BBC49D5EB574E2DB97

CREATE TABLE PROFIL_MP (
    IDPR INTEGER NOT NULL,
    PRNAME VARCHAR(400),
    DATEBEG DATE,
    DATEEND DATE);@

CREATE TABLE PROFIL_K (
    IDK_PR INTEGER NOT NULL,
    K_PRNAME VARCHAR(100),
    DATEBEG DATE,
    DATEEND DATE);@

CREATE GLOBAL TEMPORARY TABLE TMP_NAZR (
    NAZR SMALLINT,
    NAZ_SP NUMERIC(9,0),
    NAZ_V SMALLINT,
    NAZ_PMP INTEGER,
    NAZ_PK INTEGER) ON COMMIT PRESERVE ROWS;@

CREATE TABLE KARTA_NAZR (
    IDK INTEGER,
    NAZR SMALLINT,
    NAZ_SP NUMERIC(9,0),
    NAZ_V SMALLINT,
    NAZ_PMP INTEGER,
    NAZ_PK INTEGER);@

CREATE INDEX KARTA_NAZR_IDK ON KARTA_NAZR (IDK);@

CREATE TABLE SPR_NAZR (
    ID SMALLINT NOT NULL,
    NAZR_NAME VARCHAR(100));@

CREATE TABLE SPR_V (
    IDV SMALLINT NOT NULL,
    NAME_V VARCHAR(30));@

alter table "MEDSPE"
ADD SPEC_V15 NUMERIC(9,0);@

COMMIT WORK; @